com::lomiri::location::connectivity::WirelessNetwork Struct Referenceabstract

`#include <wireless_network.h>`

Collaboration diagram for com::lomiri::location::connectivity::WirelessNetwork:

## Public Types

enum class | Mode { unknown = 0 , adhoc = 1 , infrastructure = 2 }
| Enumerates all known operational modes of networks/aps. More...
typedef std::shared_ptr< WirelessNetwork > | Ptr
typedef BoundedInteger< Tag::Frequency, 2412, 5825 > | Frequency
typedef BoundedInteger< Tag::SignalStrength, 0, 100 > | SignalStrength

## Public Member Functions

virtual const core::Property< std::chrono::system_clock::time_point > & | last_seen () const =0
| Timestamp when the network became visible.
virtual const core::Property< std::string > & | bssid () const =0
| Returns the BSSID of the network.
virtual const core::Property< std::string > & | ssid () const =0
| Returns the SSID of the network.
virtual const core::Property< Mode > & | mode () const =0
| Returns the mode of the network.
virtual const core::Property< Frequency > & | frequency () const =0
| Returns the frequency that the network/AP operates upon.
virtual const core::Property< SignalStrength > & | signal_strength () const =0
| Returns the signal quality of the network/AP in percent.

## Detailed Description

Definition at line 36 of file wireless_network.h.

## Member Typedef Documentation

## Frequency

typedef BoundedInteger< Tag::Frequency, 2412, 5825 > com::lomiri::location::connectivity::WirelessNetwork::Frequency

Frequency that an individual AP operates on.

Definition at line 67 of file wireless_network.h.

## Ptr

typedef std::shared_ptr<WirelessNetwork> com::lomiri::location::connectivity::WirelessNetwork::Ptr

Definition at line 38 of file wireless_network.h.

## SignalStrength

typedef BoundedInteger< Tag::SignalStrength, 0, 100 > com::lomiri::location::connectivity::WirelessNetwork::SignalStrength

Strength of signal for an individual AP.

Definition at line 75 of file wireless_network.h.

## Member Enumeration Documentation

## Mode

enum class com::lomiri::location::connectivity::WirelessNetwork::Mode

strong

Enumerates all known operational modes of networks/aps.

Enumerator
unknown | Mode is unknown.
adhoc | Indicates the object is part of an Ad-Hoc 802.11 network without a central coordinating access point.
infrastructure | The wireless device or access point is in infrastructure mode.

Definition at line 41 of file wireless_network.h.

## Member Function Documentation

## bssid()

virtual const core::Property< std::string > & com::lomiri::location::connectivity::WirelessNetwork::bssid | ( |  | ) | const

pure virtual

Returns the BSSID of the network.

## frequency()

virtual const core::Property< Frequency > & com::lomiri::location::connectivity::WirelessNetwork::frequency | ( |  | ) | const

pure virtual

Returns the frequency that the network/AP operates upon.

## last_seen()

virtual const core::Property< std::chrono::system_clock::time_point > & com::lomiri::location::connectivity::WirelessNetwork::last_seen | ( |  | ) | const

pure virtual

Timestamp when the network became visible.

## mode()

virtual const core::Property< Mode > & com::lomiri::location::connectivity::WirelessNetwork::mode | ( |  | ) | const

pure virtual

Returns the mode of the network.

## signal_strength()

virtual const core::Property< SignalStrength > & com::lomiri::location::connectivity::WirelessNetwork::signal_strength | ( |  | ) | const

pure virtual

Returns the signal quality of the network/AP in percent.

## ssid()

virtual const core::Property< std::string > & com::lomiri::location::connectivity::WirelessNetwork::ssid | ( |  | ) | const

pure virtual

Returns the SSID of the network.

The documentation for this struct was generated from the following file:

- wireless_network.h